Bug 52880 - only one ide header gets device node with promise ultra66 raid controller
only one ide header gets device node with promise ultra66 raid controller
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 10:04 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-31 11:27:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-30 10:04:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
On a abit bp6 with primary/secondary onboard ide (hda-d), hpt366 
(disabled) and a promise ultra66/ataraid controller, roswell sees only 
drives on the first ide header (/dev/hde) and not on the second 
(/dev/hdg).  The drives are not raided by the promise card.  The kernel 
sees them with redhat 7.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install appropriate hardware
2.boot system
3.count ide drives and corresponding device nodes
	

Actual Results:  you don't see the drives on the second promise 
ultra66/ataraid header.

Expected Results:  You should see these (/dev/hdg /dev/hdh)

Additional info:
Comment 1 Arjan van de Ven 2001-08-30 10:06:53 EDT
Indeed the kernel should see them.
Could you please try the 2.4.7-2.18 kernel at
http://people.redhat.com/arjanv/testkernels/
(kernels are in the i686 and athlon directories and the mkinitrd in the i386
directory)
Comment 2 Need Real Name 2001-08-30 15:28:19 EDT
I have tried this with the test kernel, with no success.  Here is the relevant 
(?) info from /var/log/dmesg.  

[root@grant217 root]# grep "hd[e|g]" /var/log/dmesg
    ide2: BM-DMA at 0xac00-0xac07, BIOS settings: hde:pio, hdf:pio
    ide3: BM-DMA at 0xbc00-0xbc07, BIOS settings: hdg:pio, hdh:pio
hde: Maxtor 92041U4, ATA DISK drive
hde: 40020624 sectors (20491 MB) w/512KiB Cache, CHS=39703/16/63, UDMA(66)
 hde: [PTBL] [2491/255/63] hde1 hde2
(read) hde2's sb offset: 19518848 [events: 0000000e]
md: considering hde2 ...
md:  adding hde2 ...
md: bind<hde2,1>
md: running: <hde2>
md: hde2's event counter: 0000000e
md: unbind<hde2,0>
md: export_rdev(hde2)
[root@grant217 root]# fdisk /dev/hdg
 
Unable to open /dev/hdg
Comment 3 Arjan van de Ven 2001-08-30 15:37:06 EDT
Can you paste the output of both "lspci" and "lspci -n" so I can see which exact
promise controller this is ?
Comment 4 Need Real Name 2001-08-30 18:29:25 EDT
Here's lspci and lspci -n

thanks,

John

[root@grant217 root]# lspci
00:00.0 Host bridge: Intel Corporation 440BX/ZX - 82443BX/ZX Host bridge (rev 03
)
00:01.0 PCI bridge: Intel Corporation 440BX/ZX - 82443BX/ZX AGP bridge (rev 03)
00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 02)
00:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
00:09.1 Input device controller: Creative Labs SB Live! (rev 07)
00:0b.0 RAID bus controller: Promise Technology, Inc. 20262 (rev 01)
00:0d.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30
)
00:13.0 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370
 UltraDMA 66/100 IDE Controller (rev 01)
00:13.1 Unknown mass storage controller: HighPoint Technologies, Inc. HPT366/370
 UltraDMA 66/100 IDE Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation Vanta [NV6] (rev 11)
[root@grant217 root]# lspci -n
00:00.0 Class 0600: 8086:7190 (rev 03)
00:01.0 Class 0604: 8086:7191 (rev 03)
00:07.0 Class 0601: 8086:7110 (rev 02)
00:07.1 Class 0101: 8086:7111 (rev 01)
00:07.2 Class 0c03: 8086:7112 (rev 01)
00:07.3 Class 0680: 8086:7113 (rev 02)
00:09.0 Class 0401: 1102:0002 (rev 07)
00:09.1 Class 0980: 1102:7002 (rev 07)
00:0b.0 Class 0104: 105a:4d38 (rev 01)
00:0d.0 Class 0200: 10b7:9055 (rev 30)
00:13.0 Class 0180: 1103:0004 (rev 01)
00:13.1 Class 0180: 1103:0004 (rev 01)
01:00.0 Class 0300: 10de:002d (rev 11)
[root@grant217 root]#
Comment 5 Need Real Name 2001-08-31 11:12:48 EDT
That fixed it - thanks!

jl
Comment 6 Arjan van de Ven 2001-08-31 11:27:33 EDT
Ok I'll close this as fixed in rawhide; should appear there soon

Note You need to log in before you can comment on or make changes to this bug.